Package com.independentsoft.office.spreadsheet.extensions

# Class X14DataValidation

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14DataValidation

public class X14DataValidation extends Object
Represents a data validation (x14:dataValidation element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14DataValidation()`
  Instantiates a new x14 data validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14DataValidation`
  `clone()`
  `Boolean`
  `getAllowBlank()`
  Gets whether blank values are allowed.
  `String`
  `getError()`
  Gets the error message.
  `String`
  `getErrorStyle()`
  Gets the error style.
  `String`
  `getErrorTitle()`
  Gets the error dialog title.
  `String`
  `getFormula1()`
  Gets the first formula (x14:formula1/xm:f).
  `String`
  `getFormula2()`
  Gets the second formula (x14:formula2/xm:f).
  `String`
  `getImeMode()`
  Gets the IME mode.
  `String`
  `getOperator()`
  Gets the comparison operator.
  `String`
  `getPrompt()`
  Gets the prompt message.
  `String`
  `getPromptTitle()`
  Gets the prompt title.
  `String`
  `getSequenceOfReferences()`
  Gets the cell ranges the validation applies to (xm:sqref element).
  `Boolean`
  `getShowDropDown()`
  Gets whether the in-cell dropdown is suppressed.
  `Boolean`
  `getShowErrorMessage()`
  Gets whether the error message is shown.
  `Boolean`
  `getShowInputMessage()`
  Gets whether the input message is shown.
  `String`
  `getType()`
  Gets the validation type.
  `void`
  `setAllowBlank​(Boolean allowBlank)`
  Sets whether blank values are allowed.
  `void`
  `setError​(String error)`
  Sets the error message.
  `void`
  `setErrorStyle​(String errorStyle)`
  Sets the error style.
  `void`
  `setErrorTitle​(String errorTitle)`
  Sets the error dialog title.
  `void`
  `setFormula1​(String formula1)`
  Sets the first formula (x14:formula1/xm:f).
  `void`
  `setFormula2​(String formula2)`
  Sets the second formula (x14:formula2/xm:f).
  `void`
  `setImeMode​(String imeMode)`
  Sets the IME mode.
  `void`
  `setOperator​(String validationOperator)`
  Sets the comparison operator.
  `void`
  `setPrompt​(String prompt)`
  Sets the prompt message.
  `void`
  `setPromptTitle​(String promptTitle)`
  Sets the prompt title.
  `void`
  `setSequenceOfReferences​(String sequenceOfReferences)`
  Sets the cell ranges the validation applies to (xm:sqref element).
  `void`
  `setShowDropDown​(Boolean showDropDown)`
  Sets whether the in-cell dropdown is suppressed.
  `void`
  `setShowErrorMessage​(Boolean showErrorMessage)`
  Sets whether the error message is shown.
  `void`
  `setShowInputMessage​(Boolean showInputMessage)`
  Sets whether the input message is shown.
  `void`
  `setType​(String type)`
  Sets the validation type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14DataValidation

    public X14DataValidation()
    Instantiates a new x14 data validation.

- ## Method Details

  - ### clone

    public X14DataValidation clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getType

    public String getType()
    Gets the validation type.
    Returns:
      the validation type

  - ### setType

    public void setType​(String type)
    Sets the validation type.
    Parameters:
      `type` - the new validation type

  - ### getErrorStyle

    public String getErrorStyle()
    Gets the error style.
    Returns:
      the error style

  - ### setErrorStyle

    public void setErrorStyle​(String errorStyle)
    Sets the error style.
    Parameters:
      `errorStyle` - the new error style

  - ### getImeMode

    public String getImeMode()
    Gets the IME mode.
    Returns:
      the IME mode

  - ### setImeMode

    public void setImeMode​(String imeMode)
    Sets the IME mode.
    Parameters:
      `imeMode` - the new IME mode

  - ### getOperator

    public String getOperator()
    Gets the comparison operator.
    Returns:
      the comparison operator

  - ### setOperator

    public void setOperator​(String validationOperator)
    Sets the comparison operator.
    Parameters:
      `validationOperator` - the new comparison operator

  - ### getAllowBlank

    public Boolean getAllowBlank()
    Gets whether blank values are allowed.
    Returns:
      whether blank values are allowed

  - ### setAllowBlank

    public void setAllowBlank​(Boolean allowBlank)
    Sets whether blank values are allowed.
    Parameters:
      `allowBlank` - the new allow blank flag

  - ### getShowDropDown

    public Boolean getShowDropDown()
    Gets whether the in-cell dropdown is suppressed.
    Returns:
      whether the in-cell dropdown is suppressed

  - ### setShowDropDown

    public void setShowDropDown​(Boolean showDropDown)
    Sets whether the in-cell dropdown is suppressed.
    Parameters:
      `showDropDown` - the new show drop down flag

  - ### getShowInputMessage

    public Boolean getShowInputMessage()
    Gets whether the input message is shown.
    Returns:
      whether the input message is shown

  - ### setShowInputMessage

    public void setShowInputMessage​(Boolean showInputMessage)
    Sets whether the input message is shown.
    Parameters:
      `showInputMessage` - the new show input message flag

  - ### getShowErrorMessage

    public Boolean getShowErrorMessage()
    Gets whether the error message is shown.
    Returns:
      whether the error message is shown

  - ### setShowErrorMessage

    public void setShowErrorMessage​(Boolean showErrorMessage)
    Sets whether the error message is shown.
    Parameters:
      `showErrorMessage` - the new show error message flag

  - ### getErrorTitle

    public String getErrorTitle()
    Gets the error dialog title.
    Returns:
      the error dialog title

  - ### setErrorTitle

    public void setErrorTitle​(String errorTitle)
    Sets the error dialog title.
    Parameters:
      `errorTitle` - the new error dialog title

  - ### getError

    public String getError()
    Gets the error message.
    Returns:
      the error message

  - ### setError

    public void setError​(String error)
    Sets the error message.
    Parameters:
      `error` - the new error message

  - ### getPromptTitle

    public String getPromptTitle()
    Gets the prompt title.
    Returns:
      the prompt title

  - ### setPromptTitle

    public void setPromptTitle​(String promptTitle)
    Sets the prompt title.
    Parameters:
      `promptTitle` - the new prompt title

  - ### getPrompt

    public String getPrompt()
    Gets the prompt message.
    Returns:
      the prompt message

  - ### setPrompt

    public void setPrompt​(String prompt)
    Sets the prompt message.
    Parameters:
      `prompt` - the new prompt message

  - ### getFormula1

    public String getFormula1()
    Gets the first formula (x14:formula1/xm:f).
    Returns:
      the first formula

  - ### setFormula1

    public void setFormula1​(String formula1)
    Sets the first formula (x14:formula1/xm:f).
    Parameters:
      `formula1` - the new first formula

  - ### getFormula2

    public String getFormula2()
    Gets the second formula (x14:formula2/xm:f).
    Returns:
      the second formula

  - ### setFormula2

    public void setFormula2​(String formula2)
    Sets the second formula (x14:formula2/xm:f).
    Parameters:
      `formula2` - the new second formula

  - ### getSequenceOfReferences

    public String getSequenceOfReferences()
    Gets the cell ranges the validation applies to (xm:sqref element).
    Returns:
      the cell ranges the validation applies to

  - ### setSequenceOfReferences

    public void setSequenceOfReferences​(String sequenceOfReferences)
    Sets the cell ranges the validation applies to (xm:sqref element).
    Parameters:
      `sequenceOfReferences` - the new cell ranges the validation applies to